Skip to main content
GET
/
api
/
v1
/
execution
/
orders
List orders
curl --request GET \
  --url https://api.example.com/api/v1/execution/orders
{
  "code": 0,
  "msg": "ok",
  "data": {
    "items": [
      {
        "clientOrderId": "ord_20260511_0001",
        "exchangeOrderId": "789123456",
        "exchange": "binance",
        "symbol": "BTCUSDT",
        "status": "new"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nexfi.robert.dpdns.org/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

exchange
enum<string>

Exchange filter.

Available options:
binance,
okx
Example:

"binance"

symbol
string

Symbol filter.

Example:

"BTCUSDT"

status
string

Order status filter.

Example:

"filled"

Response

200 - application/json

Order list response

Standard response envelope.

code
integer
required

Business status code.

Example:

0

msg
string
required

Human-readable response message.

Example:

"ok"

data
object